Bug 963803 - Please branch for el6
Please branch for el6
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: python-manuel (Show other bugs)
20
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jerry James
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 963651
  Show dependency treegraph
 
Reported: 2013-05-16 11:03 EDT by Ralph Bean
Modified: 2014-02-11 14:14 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-29 12:18:53 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ralph Bean 2013-05-16 11:03:34 EDT
Description of problem:

python-manuel is required for python-zc-buildout.

There has been a request for python-zc-buildout to be branched for el6 (which requires that python-manuel be branched as well):
https://bugzilla.redhat.com/show_bug.cgi?id=963651

The review ticket for python-manuel is:
https://bugzilla.redhat.com/show_bug.cgi?id=699902

Thanks!
Comment 1 Fedora End Of Life 2013-09-16 09:56:46 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 20 development cycle.
Changing version to '20'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora20
Comment 2 Ralph Bean 2014-01-22 21:36:40 EST
Hi Jerry,

Just following up on this ticket.  Do you have any interest in requesting an epel6 branch of python-manuel?  I'd be glad to co-maintain.
Comment 3 Jerry James 2014-01-23 11:26:20 EST
Oops, sorry about that, Ralph.  You first filed the bug during a super busy time at $DAYJOB, so I set it aside for later and then forgot all about it.  I will get it done today.  And I graciously accept your offer to be comaintainer. :-)

Do you want an epel7 branch, too?
Comment 4 Ralph Bean 2014-01-23 15:22:12 EST
(In reply to Jerry James from comment #3)
> Oops, sorry about that, Ralph.  You first filed the bug during a super busy
> time at $DAYJOB, so I set it aside for later and then forgot all about it. 
> I will get it done today.  And I graciously accept your offer to be
> comaintainer. :-)

I understand.  I forgot about it too!

> Do you want an epel7 branch, too?

Yes, that would probably be best.  :)  Thanks!
Comment 5 Fedora Update System 2014-01-24 13:27:34 EST
python-manuel-1.7.2-4.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/python-manuel-1.7.2-4.el6
Comment 6 Ralph Bean 2014-01-24 13:36:10 EST
Jerry, I built it for both el6 and epel7.  I had to put some conditionals around the python3 stuff.  If you could merge those changes back into rawhide, it would be much appreciated.
Comment 7 Jerry James 2014-01-24 13:44:19 EST
Done.  If you would like to be able to push any future changes to Rawhide yourself, apply for permissions in pkgdb and I'll grant them.
Comment 8 Jerry James 2014-01-24 13:57:02 EST
Building for Rawhide failed due to a missing python3-zope-testing BR.  I was thinking that the EPEL 7 build would fail in the same way, but you're not building for python 3, are you?  Missing BRs?  Anyway, I'm going to have to push one more commit to fix the Rawhide build.  Since you aren't building for python3 anyway, that shouldn't be a big deal.  You can merge that commit in later along with any other changes that happen in Rawhide in the meantime.
Comment 9 Fedora Update System 2014-02-11 14:14:54 EST
python-manuel-1.7.2-4.el6 has been pushed to the Fedora EPEL 6 stable repository.

Note You need to log in before you can comment on or make changes to this bug.